> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/geopard-api-requests-overview/39.-mutation-set-custom-color-schemas-to-selected-geomaps.md).

# 39. Mutacja: Ustaw niestandardowe schematy kolorów dla wybranych „GeoMaps”

Ustaw niestandardowe schematy kolorów dla warstw danych: „ZonesMaps”, „SoilDatasets”.

Obsługa innych warstw danych („YieldDataset”, „TopographyMaps”, „SatelliteImages”) pojawi się wkrótce.

Zaktualizuj wszystkie atrybuty „GeoMap”:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.288999557495117,
          31.641000747680664,
          42.30500030517578,
          56.132999420166016,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.788000106811523,
          26.854999542236328,
          33.84000015258789,
          41.20100021362305,
          50.124000549316406,
          63.90299987792969,
          86.70500183105469,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    description
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

Zaktualizuj tylko schematy kolorów „GeoMap”:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          -6.5,
          100,
          162.60000610351562,
          245.8000030517578,
          493.29998779296875
        ],
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    description
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

**WAŻNE** punktów, aby dowiedzieć się, jak używać mutacji:

1. Atrybuty `fieldUuid`, `soilDatasetUuid`/`vectorAnalysisMapUuid`, oraz `shortName` są wymagane do wskazania właściwego obiektu „GeoMap” do zmiany. Te trzy atrybuty łącznie zapewniają unikatowość obiektu „GeoMap”.
2. Należy użyć `soilDatasetUuid` albo `vectorAnalysisMapUuid` atrybutu w każdym pojedynczym obiekcie „GeoMap” przekazywanym w danych wejściowych.
3. Wartość atrybutu `shortName` musi być taka sama jak w źródłowym obiekcie „GeoMap”. Nie można jej edytować.
4. Atrybuty `fullName`, `description`, `hexColorCodes` można edytować dla warstwy „ZonesMaps”. Zmiany nie zostaną zastosowane, jeśli atrybut nie zostanie uwzględniony.
5. Atrybuty `fullName`, `description`, `classes`, `hexColorCodes` można edytować w przypadku „SoilDatasets” i modyfikować. Zmiany nie zostaną zastosowane, jeśli atrybut nie zostanie wymieniony.
6. Tablice `classes` i `hexColorCodes` muszą mieć dokładnie taką samą długość jak źródło w „GeoMap”.
7. Długość tablic „GeoMaps” w żądaniu i odpowiedzi musi być taka sama. W przeciwnym razie niektóre elementy „GeoMaps” nie zostały pomyślnie edytowane.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/geopard-api-requests-overview/39.-mutation-set-custom-color-schemas-to-selected-geomaps.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
